Skip to main content
POST
/
tds
/
compliance
/
e-file
curl --request POST \ --url https://test-api.sandbox.co.in/tds/compliance/e-file \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "@entity": "in.co.sandbox.tds.compliance.e-file.request", "financial_year": "FY 2024-25", "form": "24Q", "quarter": "Q2", "tan": "AHMA09719B" } '
{ "code": 200, "timestamp": 1763362637000, "transaction_id": "e2b9145f-69d5-4bbe-a6de-be6fc08b426f", "data": { "@entity": "in.co.sandbox.tds.compliance.e-file.job", "job_id": "f845f37e-7f05-4de9-a282-a3b23b9d370a", "tan": "AHMA09719B", "financial_year": "FY 2024-25", "quarter": "Q2", "form": "24Q", "status": "created", "created_at": 1763362637000, "fvu_upload_file_url": "https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file" } }

Documentation Index

Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is part of a job-based async workflow. See the job-based API workflow guide for job creation, payload upload, and status polling.

Headers

authorization
string
required

JWT access token

x-api-key
string
required

API key for identification

x-api-version
string

API version

Body

application/json
@entity
enum<string>
required
Available options:
in.co.sandbox.tds.compliance.e-file.request
financial_year
string
required

Financial Year (e.g. FY 2022-23)

Example:

"FY 2024-25"

form
enum<string>
required

TDS/TCS return form

Available options:
24Q,
26Q,
27Q,
27EQ
quarter
enum<string>
required
Available options:
Q1,
Q2,
Q3,
Q4
tan
string
required

TAN of deductor/collector. Regular Expression: [A-Z]{4}[0-9]{5}[A-Z]{1}

Example:

"AHMA09719B"

Response

200 - OK

code
integer
timestamp
integer
transaction_id
string
data
object